## binutils-avr 2.24+Atmel3.4.5-1

=== debian/changelog ===
binutils-avr (2.24+Atmel3.4.5-1) unstable; urgency=medium

  * Added watch file
  * Moved /usr/x86_64-linux-gnu/avr  to /usr/lib/avr/x86_64-linux-gnu
    (closes: #701980)
  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Sun, 29 Mar 2015 15:49:18 +0200

binutils-avr (2.24+Atmel3.4.4-1) unstable; urgency=medium

  * New upstream release from Atmel-AVR-GNU-Toolchain v3.4.4
    (http://distribute.atmel.no/tools/opensource/Atmel-AVR-GNU-
    Toolchain/3.4.4/)
  * Applied upstream patch fixing gcc 4.9 compilation errors (closes:
    #746831)
  * Use softlinks instead of hard (closes: #647515)
  * Use dpkg-buildflags
  * Removed dh_undocumented
  * Added ${misc:Depends} dependency
  * Cleared dependency_libs field in all .la files
  * Added build-arch and build-indep targets
  * Added full copyright notice
  * Increased Standards-Version to 3.9.5

 -- Hakan Ardo <hakan@debian.org>  Sat, 31 May 2014 19:39:32 +0200

=== debian/control ===
Source: binutils-avr
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.9.5
Build-Depends: bison, flex, gettext, texinfo, binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), debhelper (>= 5), tar (>= 1.13.18), bzip2, findutils(>=4.2.31), autotools-dev, dh-autoreconf

Package: binutils-avr
Section: devel
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: binutils (>= 2.24)
Description: Binary utilities supporting Atmel's AVR targets
 The programs in this package are used to manipulate binary and object
 files that may have been created for Atmel's AVR architecture.  This package
 is primarily for AVR developers and cross-compilers and is not needed
 by normal users or developers.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

PACKAGE=binutils-avr
TARGET=avr

#ifeq (,$(DEB_BUILD_GNU_TYPE))
#  include /usr/share/dbs/dpkg-arch.mk
#endif

CONFARGS = --prefix=/usr \
           --build=$(DEB_BUILD_GNU_TYPE) \
           --host=$(DEB_HOST_GNU_TYPE) \
           --target=$(TARGET) \
           --disable-static \
           --with-gnu-ld \
           --with-gnu-as \
           --enable-install-libbfd \
           --with-dwarf2 \
           $(shell dpkg-buildflags --export=configure) 


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#TAR_DIR=binutils-*
#TAR_DIR=TAR_DIR=binutils-*
#include /usr/share/dbs/dbs-build.mk
#include debian/dbs-build.mk

BUILD_TREE=src

# the dbs rules
#include /usr/src/toolchain/patches/binutils/dbs-build.mk
#
unpack: unpack-stamp
unpack-stamp:
	tar xjf avr-binutils-*.tar.bz2
	mv `ls -d binutils* | grep -v tar` src
	#mkdir build
	touch unpack-stamp

patch-stamp: unpack-stamp
	cd $(BUILD_TREE) && for p in `cat ../debian/patchlist`; do echo; echo Applying $$p ...; patch -p1 < ../debian/$$p; done
	touch patch-stamp

configure: configure-stamp
configure-stamp: unpack-stamp patch-stamp
	dh_testdir

	# Add here commands to configure the package.
	#cd $(BUILD_TREE)/ld && aclocal-1.9 && automake-1.9 
	#cd $(BUILD_TREE) && env CC="gcc" CFLAGS="-Wno-error=unused-but-set-variable -Wno-error=unused-but-set-parameter" ./configure $(CONFARGS)
	cd $(BUILD_TREE) && ./configure $(CONFARGS)
	make -C src maybe-configure-bfd
	make -C src/bfd/ headers
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	cd $(BUILD_TREE) && $(MAKE)
	#/usr/bin/docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch build-stamp

build-arch: build
build-indep: build	

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp a.out unpack-stamp patch-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	rm -rf $(BUILD_TREE) 
	#rm binutils-2.18.tar.bz2 

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	cd $(BUILD_TREE) && $(MAKE) install prefix=$(CURDIR)/debian/$(PACKAGE)/usr
	cp debian/gasp.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gasp.1

	# Non standard avr dir to keep FHS happy
	mv debian/binutils-avr/usr/avr debian/binutils-avr/usr/lib/

	# Convert hardlinks to softlinks
	cd debian/binutils-avr/usr/lib/avr/bin && for f in *; do \
	    rm ../../../bin/avr-$$f; \
	    ln -s ../lib/avr/bin/$$f ../../../bin/avr-$$f; \
	done

	# Emptying the dependency_libs field of .la files
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/binutils-avr -name '*.la'`

	ln -s avr-ld.1.gz debian/binutils-avr/usr/share/man/man1/avr-ld.bfd.1.gz

	# Files also in main binutils pkg
	cd debian/$(PACKAGE)/usr && \
	rm -rf lib/libiberty.* lib/libbfd.* lib/libopcodes* \
	include/bfd.h include/ansidecl.h include/bfdlink.h \
	share/locale include/symcat.h include/dis-asm.h \
	info share/info

	mv debian/binutils-avr/usr/$(DEB_HOST_GNU_TYPE)/avr \
	   debian/binutils-avr/usr/lib/avr/$(DEB_HOST_GNU_TYPE)
	rm -r debian/binutils-avr/usr/$(DEB_HOST_GNU_TYPE)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -n
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps

	# Update toolchain-source version reference (won't work as it's a source dependency)
	#touch debian/substvars
	#-grep -v '^toolchain-source-version=' debian/substvars > debian/substvars.tmp
	#mv debian/substvars.tmp debian/substvars
	#echo >> debian/substvars
	#echo -n 'toolchain-source-version=' >> debian/substvars
	#dpkg -s toolchain-source | grep Version: | sed -e 's/Version: //' >> debian/substvars

	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## binutils-avr 2.25+Atmel3.5.0

=== gdb/features/Makefile ===
# Copyright (C) 2007-2014 Free Software Foundation, Inc.

# This file is part of GDB.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# This file requires GNU make!

# This Makefile updates files in ../regformats from their XML master
# copies.  Because this relies on xsltproc, it is not normally run
# during the build process; it should be run by hand when one of the
# affected XML files is changed, and the results should be kept in the
# GDB repository.

# It can also update the C files in the features directory from their
# XML master copies.  This relies on a GDB linked with expat and that
# is configured to include support for the architecture, so the files
# are kept in the GDB repository.
#
# By default we'll generate all C files, and you must point make at a
# GDB that has been configured with --enable-targets=all:
#
#   make GDB=/path/to/gdb cfiles
#
# To regenerate all C files from scratch:
#
#   make GDB=/path/to/gdb clean-cfiles cfiles
#
# To generate specific C files, you can override the XMLTOC make
# variable:
#
#   make GDB=/path/to/gdb XMLTOC="xml files" cfiles

WHICH = aarch64 \
	arm-with-iwmmxt arm-with-vfpv2 arm-with-vfpv3 arm-with-neon \
	i386/i386 i386/i386-linux \
	i386/i386-mmx i386/i386-mmx-linux \
	i386/amd64 i386/amd64-linux \
	i386/i386-avx i386/i386-avx-linux \
	i386/i386-mpx i386/i386-mpx-linux \
	i386/i386-avx512 i386/i386-avx512-linux \
	i386/amd64-avx i386/amd64-avx-linux \
	i386/amd64-mpx i386/amd64-mpx-linux \
	i386/amd64-avx512 i386/amd64-avx512-linux \
	i386/x32 i386/x32-linux \
	i386/x32-avx i386/x32-avx-linux \
	i386/x32-avx512 i386/x32-avx512-linux \
	mips-linux mips-dsp-linux \
	microblaze-with-stack-protect \
	mips64-linux mips64-dsp-linux \
	nios2-linux \
	rs6000/powerpc-32 \
	rs6000/powerpc-32l rs6000/powerpc-altivec32l rs6000/powerpc-e500l \
	rs6000/powerpc-64l rs6000/powerpc-altivec64l rs6000/powerpc-vsx32l \
	rs6000/powerpc-vsx64l rs6000/powerpc-cell32l rs6000/powerpc-cell64l \
	s390-linux32 s390-linux64 s390x-linux64 \
	s390-linux32v1 s390-linux64v1 s390x-linux64v1 \
	s390-linux32v2 s390-linux64v2 s390x-linux64v2 \
	s390-te-linux64 s390x-te-linux64 \
	tic6x-c64xp tic6x-c64x tic6x-c62x \
	tic6x-c64xp-linux tic6x-c64x-linux tic6x-c62x-linux

# Record which registers should be sent to GDB by default after stop.
aarch64-expedite = x29,sp,pc
arm-expedite = r11,sp,pc
i386/i386-expedite = ebp,esp,eip
i386/i386-linux-expedite = ebp,esp,eip
i386/amd64-expedite = rbp,rsp,rip
i386/amd64-linux-expedite = rbp,rsp,rip
i386/i386-avx-expedite = ebp,esp,eip
i386/i386-avx-linux-expedite = ebp,esp,eip
i386/i386-mpx-expedite = ebp,esp,eip
i386/i386-mpx-linux-expedite = ebp,esp,eip
i386/i386-avx512-expedite = ebp,esp,eip
i386/i386-avx512-linux-expedite = ebp,esp,eip
i386/i386-mmx-expedite = ebp,esp,eip
i386/i386-mmx-linux-expedite = ebp,esp,eip
i386/amd64-avx-expedite = rbp,rsp,rip
i386/amd64-avx-linux-expedite = rbp,rsp,rip
i386/amd64-mpx-expedite = rbp,rsp,rip
i386/amd64-mpx-linux-expedite = rbp,rsp,rip
i386/amd64-avx512-expedite = rbp,rsp,rip
i386/amd64-avx512-linux-expedite = rbp,rsp,rip
i386/x32-expedite = rbp,rsp,rip
i386/x32-linux-expedite = rbp,rsp,rip
i386/x32-avx-expedite = rbp,rsp,rip
i386/x32-avx-linux-expedite = rbp,rsp,rip
i386/x32-avx512-expedite = rbp,rsp,rip
i386/x32-avx512-linux-expedite = rbp,rsp,rip
mips-expedite = r29,pc
mips-dsp-expedite = r29,pc
mips64-expedite = r29,pc
mips64-dsp-expedite = r29,pc
microblaze-expedite = r1,pc
nios2-linux-expedite = sp,pc
powerpc-expedite = r1,pc
rs6000/powerpc-cell32l-expedite = r1,pc,r0,orig_r3,r4
rs6000/powerpc-cell64l-expedite = r1,pc,r0,orig_r3,r4
s390-linux32-expedite = r14,r15,pswa
s390-linux32v1-expedite = r14,r15,pswa
s390-linux32v2-expedite = r14,r15,pswa
s390-linux64-expedite = r14l,r15l,pswa
s390-linux64v1-expedite = r14l,r15l,pswa
s390-linux64v2-expedite = r14l,r15l,pswa
s390-te-linux64-expedite = r14,r15,pswa
s390x-linux64-expedite = r14,r15,pswa
s390x-linux64v1-expedite = r14,r15,pswa
s390x-linux64v2-expedite = r14,r15,pswa
s390x-te-linux64-expedite = r14,r15,pswa
tic6x-c64xp-expedite = A15,PC
tic6x-c64x-expedite = A15,PC
tic6x-c62x-expedite = A15,PC
tic6x-c64xp-linux-expedite = A15,PC
tic6x-c64x-linux-expedite = A15,PC
tic6x-c62x-linux-expedite = A15,PC


XSLTPROC = xsltproc
outdir = ../regformats
OUTPUTS = $(patsubst %,$(outdir)/%.dat,$(WHICH))

# The set of xml files we'll generate .c files for GDB from.  By
# default we'll build all .c files, which requires an
# --enable-targets=all GDB.  You can override this by passing XMLTOC
# to make on the command line.
XMLTOC = \
	aarch64.xml \
	arm-with-iwmmxt.xml \
	arm-with-m-fpa-layout.xml \
	arm-with-m-vfp-d16.xml \
	arm-with-m.xml \
	arm-with-neon.xml \
	arm-with-vfpv2.xml \
	arm-with-vfpv3.xml \
	i386/amd64-avx-linux.xml \
	i386/amd64-avx.xml \
	i386/amd64-avx512-linux.xml \
	i386/amd64-avx512.xml \
	i386/amd64-linux.xml \
	i386/amd64-mpx-linux.xml \
	i386/amd64-mpx.xml \
	i386/amd64.xml \
	i386/i386-avx-linux.xml \
	i386/i386-avx.xml \
	i386/i386-avx512-linux.xml \
	i386/i386-avx512.xml \
	i386/i386-linux.xml \
	i386/i386-mmx-linux.xml \
	i386/i386-mmx.xml \
	i386/i386-mpx-linux.xml \
	i386/i386-mpx.xml \
	i386/i386.xml \
	i386/x32-avx-linux.xml \
	i386/x32-avx.xml \
	i386/x32-avx512-linux.xml \
	i386/x32-avx512.xml \
	i386/x32-linux.xml \
	i386/x32.xml \
	microblaze-with-stack-protect.xml \
	microblaze.xml \
	mips-dsp-linux.xml \
	mips-linux.xml \
	mips64-dsp-linux.xml \
	mips64-linux.xml \
	nios2-linux.xml \
	nios2.xml \
	rs6000/powerpc-32.xml \
	rs6000/powerpc-32l.xml \
	rs6000/powerpc-403.xml \
	rs6000/powerpc-403gc.xml \
	rs6000/powerpc-405.xml \
	rs6000/powerpc-505.xml \
	rs6000/powerpc-601.xml \
	rs6000/powerpc-602.xml \
	rs6000/powerpc-603.xml \
	rs6000/powerpc-604.xml \
	rs6000/powerpc-64.xml \
	rs6000/powerpc-64l.xml \
	rs6000/powerpc-7400.xml \
	rs6000/powerpc-750.xml \
	rs6000/powerpc-860.xml \
	rs6000/powerpc-altivec32.xml \
	rs6000/powerpc-altivec32l.xml \
	rs6000/powerpc-altivec64.xml \
	rs6000/powerpc-altivec64l.xml \
	rs6000/powerpc-cell32l.xml \
	rs6000/powerpc-cell64l.xml \
	rs6000/powerpc-e500.xml \
	rs6000/powerpc-e500l.xml \
	rs6000/powerpc-isa205-32l.xml \
	rs6000/powerpc-isa205-64l.xml \
	rs6000/powerpc-isa205-altivec32l.xml \
	rs6000/powerpc-isa205-altivec64l.xml \
	rs6000/powerpc-isa205-vsx32l.xml \
	rs6000/powerpc-isa205-vsx64l.xml \
	rs6000/powerpc-vsx32.xml \
	rs6000/powerpc-vsx32l.xml \
	rs6000/powerpc-vsx64.xml \
	rs6000/powerpc-vsx64l.xml \
	rs6000/rs6000.xml \
	s390-linux32.xml \
	s390-linux32v1.xml \
	s390-linux32v2.xml \
	s390-linux64.xml \
	s390-linux64v1.xml \
	s390-linux64v2.xml \
	s390-te-linux64.xml \
	s390x-linux64.xml \
	s390x-linux64v1.xml \
	s390x-linux64v2.xml \
	s390x-te-linux64.xml \
	tic6x-c62x-linux.xml \
	tic6x-c62x.xml \
	tic6x-c64x-linux.xml \
	tic6x-c64x.xml \
	tic6x-c64xp-linux.xml \
	tic6x-c64xp.xml

CFILES = $(patsubst %.xml,%.c,$(XMLTOC))
GDB = false

all: $(OUTPUTS)

$(outdir)/%.dat: %.xml number-regs.xsl sort-regs.xsl gdbserver-regs.xsl
	echo "# THIS FILE IS GENERATED.  -*- buffer-read-only: t -*- vi :set ro:" > $(outdir)/$*.tmp
	echo "# Generated from: $<" >> $(outdir)/$*.tmp
	echo "name:`echo $(notdir $*) | sed 's/-/_/g'`" >> $(outdir)/$*.tmp
	echo "xmltarget:$(<F)" >> $(outdir)/$*.tmp
	echo "expedite:$(if $($*-expedite),$($*-expedite),$($(firstword $(subst -, ,$(notdir $*)))-expedite))" \
	  >> $(outdir)/$*.tmp
	$(XSLTPROC) --path "$(PWD)" --xinclude number-regs.xsl $< | \
	  $(XSLTPROC) sort-regs.xsl - | \
	  $(XSLTPROC) gdbserver-regs.xsl - >> $(outdir)/$*.tmp
	sh ../../move-if-change $(outdir)/$*.tmp $(outdir)/$*.dat

cfiles: $(CFILES)
%.c: %.xml
	$(GDB) -nx -q -batch \
	  -ex "set tdesc filename $<" -ex 'maint print c-tdesc' > $@.tmp
	sh ../../move-if-change $@.tmp $@

# Other dependencies.
$(outdir)/arm-with-iwmmxt.dat: arm-core.xml xscale-iwmmxt.xml
$(outdir)/i386/i386.dat: i386/32bit-core.xml i386/32bit-sse.xml
$(outdir)/i386/i386-linux.dat: i386/32bit-core.xml i386/32bit-sse.xml \
			       i386/32bit-linux.xml
$(outdir)/i386/amd64.dat: i386/64bit-core.xml i386/64bit-sse.xml
$(outdir)/i386/amd64-linux.dat: i386/64bit-core.xml i386/64bit-sse.xml \
			        i386/64bit-linux.xml
$(outdir)/i386/i386-avx.dat: i386/32bit-core.xml i386/32bit-avx.xml
$(outdir)/i386/i386-avx-linux.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-linux.xml
$(outdir)/i386/i386-mpx.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-mpx.xml
$(outdir)/i386/i386-mpx-linux.dat: i386/32bit-core.xml 	i386/32bit-avx.xml \
			       i386/32bit-linux.xml i386/32bit-mpx.xml
$(outdir)/i386/i386-avx512.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-mpx.xml i386/32bit-avx512.xml
$(outdir)/i386/i386-avx512-linux.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-linux.xml i386/32bit-mpx.xml i386/32bit-avx512.xml
$(outdir)/i386/i386-mmx.dat: i386/32bit-core.xml 
$(outdir)/i386/i386-mmx-linux.dat: i386/32bit-core.xml i386/32bit-linux.xml
$(outdir)/i386/amd64-avx.dat: i386/64bit-core.xml i386/64bit-avx.xml
$(outdir)/i386/amd64-avx-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
				    i386/64bit-linux.xml
$(outdir)/i386/amd64-mpx-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-linux.xml i386/64bit-mpx.xml
$(outdir)/i386/amd64-mpx.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml
$(outdir)/i386/amd64-avx512.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml
$(outdir)/i386/amd64-avx512-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml \
			       i386/64bit-linux.xml
$(outdir)/i386/x32.dat: i386/x32-core.xml i386/64bit-sse.xml
$(outdir)/i386/x32-linux.dat: i386/x32-core.xml i386/64bit-sse.xml \
			      i386/64bit-linux.xml
$(outdir)/i386/x32-avx.dat: i386/x32-core.xml i386/64bit-avx.xml
$(outdir)/i386/x32-avx-linux.dat: i386/x32-core.xml i386/64bit-avx.xml \
				  i386/64bit-linux.xml
$(outdir)/i386/x32-avx512.dat: i386/x32-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml
$(outdir)/i386/x32-avx512-linux.dat: i386/x32-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml i386/64bit-linux.xml

# 'all' doesn't build the C files, so don't delete them in 'clean'
# either.
clean-cfiles:
	rm -f $(CFILES)

clean:
	rm -f $(OUTPUTS)

## binutils-avr 2.26.20160125%2BAtmel3.7.0

=== debian/rules ===
--- 
+++ 
@@ -2,23 +2,31 @@
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
+
 PACKAGE=binutils-avr
 TARGET=avr
 
-#ifeq (,$(DEB_BUILD_GNU_TYPE))
-#  include /usr/share/dbs/dpkg-arch.mk
-#endif
+#DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -q DEB_HOST_GNU_TYPE)
+#DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -q DEB_BUILD_GNU_TYPE)
 
 CONFARGS = --prefix=/usr \
            --build=$(DEB_BUILD_GNU_TYPE) \
            --host=$(DEB_HOST_GNU_TYPE) \
            --target=$(TARGET) \
-           --disable-static \
            --with-gnu-ld \
            --with-gnu-as \
+		   --with-system-zlib \
            --enable-install-libbfd \
            --with-dwarf2 \
-           $(shell dpkg-buildflags --export=configure) 
+           --disable-static \
+           --disable-gdb --disable-libdecnumber --disable-readline \
+           --disable-sim \
+           $(shell env DEB_CFLAGS_MAINT_APPEND="-Wno-implicit-fallthrough -Wno-format-overflow -Wno-pointer-compare -Wno-error=cast-function-type -Wno-error=stringop-truncation -Wno-error=format-truncation" \
+		     env DEB_BUILD_MAINT_OPTIONS="hardening=+all" \
+		     dpkg-buildflags --export=configure)
 
 
 # Uncomment this to turn on verbose mode.
@@ -29,32 +37,22 @@
 #include /usr/share/dbs/dbs-build.mk
 #include debian/dbs-build.mk
 
-BUILD_TREE=src
+BUILD_TREE=binutils
 
 # the dbs rules
 #include /usr/src/toolchain/patches/binutils/dbs-build.mk
 #
-unpack: unpack-stamp
-unpack-stamp:
-	tar xjf avr-binutils-*.tar.bz2
-	mv `ls -d binutils* | grep -v tar` src
-	#mkdir build
-	touch unpack-stamp
-
-patch-stamp: unpack-stamp
-	cd $(BUILD_TREE) && for p in `cat ../debian/patchlist`; do echo; echo Applying $$p ...; patch -p1 < ../debian/$$p; done
-	touch patch-stamp
-
 configure: configure-stamp
-configure-stamp: unpack-stamp patch-stamp
+configure-stamp:
 	dh_testdir
 
+	dh_update_autotools_config
 	# Add here commands to configure the package.
-	#cd $(BUILD_TREE)/ld && aclocal-1.9 && automake-1.9 
+	#cd $(BUILD_TREE)/ld && aclocal-1.9 && automake-1.9
 	#cd $(BUILD_TREE) && env CC="gcc" CFLAGS="-Wno-error=unused-but-set-variable -Wno-error=unused-but-set-parameter" ./configure $(CONFARGS)
 	cd $(BUILD_TREE) && ./configure $(CONFARGS)
-	make -C src maybe-configure-bfd
-	make -C src/bfd/ headers
+	make -C $(BUILD_TREE) maybe-configure-bfd
+	make -C $(BUILD_TREE)/bfd/ headers
 	touch configure-stamp
 
 build: configure-stamp build-stamp
@@ -77,20 +75,20 @@
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
-	rm -rf $(BUILD_TREE) 
-	#rm binutils-2.18.tar.bz2 
+	[ ! -f Makefile ] || $(MAKE) -C $(BUILD_TREE) distclean
+	#rm binutils-2.18.tar.bz2
 
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/$(PACKAGE).
 	cd $(BUILD_TREE) && $(MAKE) install prefix=$(CURDIR)/debian/$(PACKAGE)/usr
-	cp debian/gasp.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gasp.1
+	#cp debian/gasp.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gasp.1
 
 	# Non standard avr dir to keep FHS happy
 	mv debian/binutils-avr/usr/avr debian/binutils-avr/usr/lib/
@@ -104,6 +102,9 @@
 	# Emptying the dependency_libs field of .la files
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/binutils-avr -name '*.la'`
 
+	# Adjust paths
+	sed -i 's/\/usr\/$(DEB_HOST_GNU_TYPE)\/avr/\/usr\/lib\/avr\/$(DEB_HOST_GNU_TYPE)/' `find debian/binutils-avr -name '*.la'`
+
 	ln -s avr-ld.1.gz debian/binutils-avr/usr/share/man/man1/avr-ld.bfd.1.gz
 
 	# Files also in main binutils pkg
@@ -111,7 +112,7 @@
 	rm -rf lib/libiberty.* lib/libbfd.* lib/libopcodes* \
 	include/bfd.h include/ansidecl.h include/bfdlink.h \
 	share/locale include/symcat.h include/dis-asm.h \
-	info share/info
+	info share/info share/man/man1/avr-c++filt.1.gz
 
 	mv debian/binutils-avr/usr/$(DEB_HOST_GNU_TYPE)/avr \
 	   debian/binutils-avr/usr/lib/avr/$(DEB_HOST_GNU_TYPE)
@@ -137,7 +138,7 @@
 #	dh_installcron
 	dh_installman
 #	dh_installinfo
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_link
 	dh_strip
 	dh_compress
@@ -156,6 +157,7 @@
 	#dpkg -s toolchain-source | grep Version: | sed -e 's/Version: //' >> debian/substvars
 
 	dh_gencontrol
+	dh_lintian
 	dh_md5sums
 	dh_builddeb

## binutils-avr 2.26.20160125+Atmel3.6.0

=== binutils/gdb/features/Makefile ===
# Copyright (C) 2007-2015 Free Software Foundation, Inc.

# This file is part of GDB.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# This file requires GNU make!

# This Makefile updates files in ../regformats from their XML master
# copies.  Because this relies on xsltproc, it is not normally run
# during the build process; it should be run by hand when one of the
# affected XML files is changed, and the results should be kept in the
# GDB repository.

# It can also update the C files in the features directory from their
# XML master copies.  This relies on a GDB linked with expat and that
# is configured to include support for the architecture, so the files
# are kept in the GDB repository.
#
# By default we'll generate all C files, and you must point make at a
# GDB that has been configured with --enable-targets=all:
#
#   make GDB=/path/to/gdb cfiles
#
# To regenerate all C files from scratch:
#
#   make GDB=/path/to/gdb clean-cfiles cfiles
#
# To generate specific C files, you can override the XMLTOC make
# variable:
#
#   make GDB=/path/to/gdb XMLTOC="xml files" cfiles

WHICH = aarch64 \
	arm-with-iwmmxt arm-with-vfpv2 arm-with-vfpv3 arm-with-neon \
	i386/i386 i386/i386-linux \
	i386/i386-mmx i386/i386-mmx-linux \
	i386/amd64 i386/amd64-linux \
	i386/i386-avx i386/i386-avx-linux \
	i386/i386-mpx i386/i386-mpx-linux \
	i386/i386-avx512 i386/i386-avx512-linux \
	i386/amd64-avx i386/amd64-avx-linux \
	i386/amd64-mpx i386/amd64-mpx-linux \
	i386/amd64-avx512 i386/amd64-avx512-linux \
	i386/x32 i386/x32-linux \
	i386/x32-avx i386/x32-avx-linux \
	i386/x32-avx512 i386/x32-avx512-linux \
	mips-linux mips-dsp-linux \
	microblaze-with-stack-protect \
	mips64-linux mips64-dsp-linux \
	nios2-linux \
	rs6000/powerpc-32 \
	rs6000/powerpc-32l rs6000/powerpc-altivec32l rs6000/powerpc-e500l \
	rs6000/powerpc-64l rs6000/powerpc-altivec64l rs6000/powerpc-vsx32l \
	rs6000/powerpc-vsx64l rs6000/powerpc-cell32l rs6000/powerpc-cell64l \
	s390-linux32 s390-linux64 s390x-linux64 \
	s390-linux32v1 s390-linux64v1 s390x-linux64v1 \
	s390-linux32v2 s390-linux64v2 s390x-linux64v2 \
	s390-te-linux64 s390x-te-linux64 s390-vx-linux64 s390x-vx-linux64 \
	s390-tevx-linux64 s390x-tevx-linux64 \
	tic6x-c64xp tic6x-c64x tic6x-c62x \
	tic6x-c64xp-linux tic6x-c64x-linux tic6x-c62x-linux

# Record which registers should be sent to GDB by default after stop.
aarch64-expedite = x29,sp,pc
arm-expedite = r11,sp,pc
i386/i386-expedite = ebp,esp,eip
i386/i386-linux-expedite = ebp,esp,eip
i386/amd64-expedite = rbp,rsp,rip
i386/amd64-linux-expedite = rbp,rsp,rip
i386/i386-avx-expedite = ebp,esp,eip
i386/i386-avx-linux-expedite = ebp,esp,eip
i386/i386-mpx-expedite = ebp,esp,eip
i386/i386-mpx-linux-expedite = ebp,esp,eip
i386/i386-avx512-expedite = ebp,esp,eip
i386/i386-avx512-linux-expedite = ebp,esp,eip
i386/i386-mmx-expedite = ebp,esp,eip
i386/i386-mmx-linux-expedite = ebp,esp,eip
i386/amd64-avx-expedite = rbp,rsp,rip
i386/amd64-avx-linux-expedite = rbp,rsp,rip
i386/amd64-mpx-expedite = rbp,rsp,rip
i386/amd64-mpx-linux-expedite = rbp,rsp,rip
i386/amd64-avx512-expedite = rbp,rsp,rip
i386/amd64-avx512-linux-expedite = rbp,rsp,rip
i386/x32-expedite = rbp,rsp,rip
i386/x32-linux-expedite = rbp,rsp,rip
i386/x32-avx-expedite = rbp,rsp,rip
i386/x32-avx-linux-expedite = rbp,rsp,rip
i386/x32-avx512-expedite = rbp,rsp,rip
i386/x32-avx512-linux-expedite = rbp,rsp,rip
mips-expedite = r29,pc
mips-dsp-expedite = r29,pc
mips64-expedite = r29,pc
mips64-dsp-expedite = r29,pc
microblaze-expedite = r1,rpc
nios2-linux-expedite = sp,pc
powerpc-expedite = r1,pc
rs6000/powerpc-cell32l-expedite = r1,pc,r0,orig_r3,r4
rs6000/powerpc-cell64l-expedite = r1,pc,r0,orig_r3,r4
s390-linux32-expedite = r14,r15,pswa
s390-linux32v1-expedite = r14,r15,pswa
s390-linux32v2-expedite = r14,r15,pswa
s390-linux64-expedite = r14l,r15l,pswa
s390-linux64v1-expedite = r14l,r15l,pswa
s390-linux64v2-expedite = r14l,r15l,pswa
s390-te-linux64-expedite = r14l,r15l,pswa
s390-vx-linux64-expedite = r14l,r15l,pswa
s390-tevx-linux64-expedite = r14l,r15l,pswa
s390x-linux64-expedite = r14,r15,pswa
s390x-linux64v1-expedite = r14,r15,pswa
s390x-linux64v2-expedite = r14,r15,pswa
s390x-te-linux64-expedite = r14,r15,pswa
s390x-vx-linux64-expedite = r14,r15,pswa
s390x-tevx-linux64-expedite = r14,r15,pswa
tic6x-c64xp-expedite = A15,PC
tic6x-c64x-expedite = A15,PC
tic6x-c62x-expedite = A15,PC
tic6x-c64xp-linux-expedite = A15,PC
tic6x-c64x-linux-expedite = A15,PC
tic6x-c62x-linux-expedite = A15,PC


XSLTPROC = xsltproc
outdir = ../regformats
OUTPUTS = $(patsubst %,$(outdir)/%.dat,$(WHICH))

# The set of xml files we'll generate .c files for GDB from.  By
# default we'll build all .c files, which requires an
# --enable-targets=all GDB.  You can override this by passing XMLTOC
# to make on the command line.
XMLTOC = \
	aarch64.xml \
	arm-with-iwmmxt.xml \
	arm-with-m-fpa-layout.xml \
	arm-with-m-vfp-d16.xml \
	arm-with-m.xml \
	arm-with-neon.xml \
	arm-with-vfpv2.xml \
	arm-with-vfpv3.xml \
	i386/amd64-avx-linux.xml \
	i386/amd64-avx.xml \
	i386/amd64-avx512-linux.xml \
	i386/amd64-avx512.xml \
	i386/amd64-linux.xml \
	i386/amd64-mpx-linux.xml \
	i386/amd64-mpx.xml \
	i386/amd64.xml \
	i386/i386-avx-linux.xml \
	i386/i386-avx.xml \
	i386/i386-avx512-linux.xml \
	i386/i386-avx512.xml \
	i386/i386-linux.xml \
	i386/i386-mmx-linux.xml \
	i386/i386-mmx.xml \
	i386/i386-mpx-linux.xml \
	i386/i386-mpx.xml \
	i386/i386.xml \
	i386/x32-avx-linux.xml \
	i386/x32-avx.xml \
	i386/x32-avx512-linux.xml \
	i386/x32-avx512.xml \
	i386/x32-linux.xml \
	i386/x32.xml \
	microblaze-with-stack-protect.xml \
	microblaze.xml \
	mips-dsp-linux.xml \
	mips-linux.xml \
	mips64-dsp-linux.xml \
	mips64-linux.xml \
	nios2-linux.xml \
	nios2.xml \
	rs6000/powerpc-32.xml \
	rs6000/powerpc-32l.xml \
	rs6000/powerpc-403.xml \
	rs6000/powerpc-403gc.xml \
	rs6000/powerpc-405.xml \
	rs6000/powerpc-505.xml \
	rs6000/powerpc-601.xml \
	rs6000/powerpc-602.xml \
	rs6000/powerpc-603.xml \
	rs6000/powerpc-604.xml \
	rs6000/powerpc-64.xml \
	rs6000/powerpc-64l.xml \
	rs6000/powerpc-7400.xml \
	rs6000/powerpc-750.xml \
	rs6000/powerpc-860.xml \
	rs6000/powerpc-altivec32.xml \
	rs6000/powerpc-altivec32l.xml \
	rs6000/powerpc-altivec64.xml \
	rs6000/powerpc-altivec64l.xml \
	rs6000/powerpc-cell32l.xml \
	rs6000/powerpc-cell64l.xml \
	rs6000/powerpc-e500.xml \
	rs6000/powerpc-e500l.xml \
	rs6000/powerpc-isa205-32l.xml \
	rs6000/powerpc-isa205-64l.xml \
	rs6000/powerpc-isa205-altivec32l.xml \
	rs6000/powerpc-isa205-altivec64l.xml \
	rs6000/powerpc-isa205-vsx32l.xml \
	rs6000/powerpc-isa205-vsx64l.xml \
	rs6000/powerpc-vsx32.xml \
	rs6000/powerpc-vsx32l.xml \
	rs6000/powerpc-vsx64.xml \
	rs6000/powerpc-vsx64l.xml \
	rs6000/rs6000.xml \
	s390-linux32.xml \
	s390-linux32v1.xml \
	s390-linux32v2.xml \
	s390-linux64.xml \
	s390-linux64v1.xml \
	s390-linux64v2.xml \
	s390-te-linux64.xml \
	s390x-linux64.xml \
	s390x-linux64v1.xml \
	s390x-linux64v2.xml \
	s390x-te-linux64.xml \
	tic6x-c62x-linux.xml \
	tic6x-c62x.xml \
	tic6x-c64x-linux.xml \
	tic6x-c64x.xml \
	tic6x-c64xp-linux.xml \
	tic6x-c64xp.xml

CFILES = $(patsubst %.xml,%.c,$(XMLTOC))
GDB = false

all: $(OUTPUTS)

$(outdir)/%.dat: %.xml number-regs.xsl sort-regs.xsl gdbserver-regs.xsl
	echo "# THIS FILE IS GENERATED.  -*- buffer-read-only: t -*- vi :set ro:" > $(outdir)/$*.tmp
	echo "# Generated from: $<" >> $(outdir)/$*.tmp
	echo "name:`echo $(notdir $*) | sed 's/-/_/g'`" >> $(outdir)/$*.tmp
	echo "xmltarget:$(<F)" >> $(outdir)/$*.tmp
	echo "expedite:$(if $($*-expedite),$($*-expedite),$($(firstword $(subst -, ,$(notdir $*)))-expedite))" \
	  >> $(outdir)/$*.tmp
	$(XSLTPROC) --path "$(PWD)" --xinclude number-regs.xsl $< | \
	  $(XSLTPROC) sort-regs.xsl - | \
	  $(XSLTPROC) gdbserver-regs.xsl - >> $(outdir)/$*.tmp
	sh ../../move-if-change $(outdir)/$*.tmp $(outdir)/$*.dat

cfiles: $(CFILES)
%.c: %.xml
	$(GDB) -nx -q -batch \
	  -ex "set tdesc filename $<" -ex 'maint print c-tdesc' > $@.tmp
	sh ../../move-if-change $@.tmp $@

# Other dependencies.
$(outdir)/arm-with-iwmmxt.dat: arm-core.xml xscale-iwmmxt.xml
$(outdir)/i386/i386.dat: i386/32bit-core.xml i386/32bit-sse.xml
$(outdir)/i386/i386-linux.dat: i386/32bit-core.xml i386/32bit-sse.xml \
			       i386/32bit-linux.xml
$(outdir)/i386/amd64.dat: i386/64bit-core.xml i386/64bit-sse.xml
$(outdir)/i386/amd64-linux.dat: i386/64bit-core.xml i386/64bit-sse.xml \
			        i386/64bit-linux.xml
$(outdir)/i386/i386-avx.dat: i386/32bit-core.xml i386/32bit-avx.xml
$(outdir)/i386/i386-avx-linux.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-linux.xml
$(outdir)/i386/i386-mpx.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-mpx.xml
$(outdir)/i386/i386-mpx-linux.dat: i386/32bit-core.xml 	i386/32bit-avx.xml \
			       i386/32bit-linux.xml i386/32bit-mpx.xml
$(outdir)/i386/i386-avx512.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-mpx.xml i386/32bit-avx512.xml
$(outdir)/i386/i386-avx512-linux.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-linux.xml i386/32bit-mpx.xml i386/32bit-avx512.xml
$(outdir)/i386/i386-mmx.dat: i386/32bit-core.xml 
$(outdir)/i386/i386-mmx-linux.dat: i386/32bit-core.xml i386/32bit-linux.xml
$(outdir)/i386/amd64-avx.dat: i386/64bit-core.xml i386/64bit-avx.xml
$(outdir)/i386/amd64-avx-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
				    i386/64bit-linux.xml
$(outdir)/i386/amd64-mpx-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-linux.xml i386/64bit-mpx.xml
$(outdir)/i386/amd64-mpx.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml
$(outdir)/i386/amd64-avx512.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml
$(outdir)/i386/amd64-avx512-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml \
			       i386/64bit-linux.xml
$(outdir)/i386/x32.dat: i386/x32-core.xml i386/64bit-sse.xml
$(outdir)/i386/x32-linux.dat: i386/x32-core.xml i386/64bit-sse.xml \
			      i386/64bit-linux.xml
$(outdir)/i386/x32-avx.dat: i386/x32-core.xml i386/64bit-avx.xml
$(outdir)/i386/x32-avx-linux.dat: i386/x32-core.xml i386/64bit-avx.xml \
				  i386/64bit-linux.xml
$(outdir)/i386/x32-avx512.dat: i386/x32-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml
$(outdir)/i386/x32-avx512-linux.dat: i386/x32-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml i386/64bit-linux.xml

# 'all' doesn't build the C files, so don't delete them in 'clean'
# either.
clean-cfiles:
	rm -f $(CFILES)

clean:
	rm -f $(OUTPUTS)

## binutils-avr 2.26.20160125+Atmel3.6.2

=== debian/changelog ===
binutils-avr (2.26.20160125+Atmel3.6.2-8) unstable; urgency=medium

  * QA upload
  * Also configure with -Wno-error=format-truncation (needed with -O3).

 -- Matthias Klose <doko@debian.org>  Tue, 12 Sep 2023 12:18:28 +0200

binutils-avr (2.26.20160125+Atmel3.6.2-7) unstable; urgency=medium

  * QA upload

  [ Dandan Zhang ]
  * Update debhelper and autotools config (Closes: #1051389)

 -- Bastian Germann <bage@debian.org>  Thu, 07 Sep 2023 11:38:52 +0200

binutils-avr (2.26.20160125+Atmel3.6.2-6) unstable; urgency=medium

  * debian/dirs: Recover file lost at 3.0 format conversion (Closes: #1042351)

 -- Bastian Germann <bage@debian.org>  Tue, 01 Aug 2023 01:15:01 +0200

binutils-avr (2.26.20160125+Atmel3.6.2-5) unstable; urgency=medium

  * Move top-level non-orig files to debian directory
  * Convert to source format 3.0 (Closes: #952630)
  * Adopt the package (Closes: #969202)
  * Patch: Avoid another dangling-pointer (Closes: #1037593)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on binutils, findutils, gcc and
      tar.
    + binutils-avr: Drop versioned constraint on binutils in Suggests.
    + binutils-avr: Drop versioned constraint on avr-libc in Breaks.

 -- Bastian Germann <bage@debian.org>  Fri, 14 Jul 2023 19:11:05 +0200

binutils-avr (2.26.20160125+Atmel3.6.2-4) unstable; urgency=medium

  * Bump debhelper compat to 7 (closes: #965433)

 -- Hakan Ardo <hakan@debian.org>  Fri, 07 Jan 2022 10:32:14 +0100

binutils-avr (2.26.20160125+Atmel3.6.2-3) unstable; urgency=medium

  * Applied patch from Rafael Laboissière <rafael@debian.org> fixing gcc-
    11 compile error (closes: #983993)

 -- Hakan Ardo <hakan@debian.org>  Sun, 21 Nov 2021 10:07:46 +0100

binutils-avr (2.26.20160125+Atmel3.6.2-2) unstable; urgency=medium

  * Applied upstream patch https://sourceware.org/git/?p=binutils-
    gdb.git;a=patch;h=cda7e5603f6efd7c3716e45cc6ea11b70dd8daae
    (closes: #966898)

 -- Hakan Ardo <hakan@debian.org>  Wed, 02 Sep 2020 16:05:46 +0200

binutils-avr (2.26.20160125+Atmel3.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Sun, 12 Jan 2020 09:17:40 +0100

binutils-avr (2.26.20160125+Atmel3.6.1-4) unstable; urgency=medium

  * Now builds with gcc 8 (closes: #915731)

 -- Hakan Ardo <hakan@debian.org>  Fri, 14 Dec 2018 11:05:22 +0100

binutils-avr (2.26.20160125+Atmel3.6.1-3.1) unstable; urgency=medium

  * Non-maintainer upload. Closes: #906453
  * [georgesk] export CC=gcc-7 in debian/rules

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Oct 2018 16:59:30 +0200

binutils-avr (2.26.20160125+Atmel3.6.1-3) UNRELEASED; urgency=medium

  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:46:58 +0200

binutils-avr (2.26.20160125+Atmel3.6.1-2) unstable; urgency=medium

  * Added Multi-Arch: foreign (closes: #902572)
  * Add explicit breaks to make gcc-7 happy even though BFD_FAIL() is
    not supposed to return (closes: #853328)

 -- Hakan Ardo <hakan@debian.org>  Fri, 29 Jun 2018 09:36:32 +0200

binutils-avr (2.26.20160125+Atmel3.6.1-1) unstable; urgency=medium

  * New upstream release
  * Package repository moved to
    https://salsa.debian.org/debian/binutils-avr

 -- Hakan Ardo <hakan@debian.org>  Fri, 03 Nov 2017 07:56:16 +0100

binutils-avr (2.26.20160125+Atmel3.6.0-1) unstable; urgency=medium

  * New upstream release
  * Package now maintained in a git repository set up by
    Gioele Barabucci <gioele@svario.it>

 -- Hakan Ardo <hakan@debian.org>  Tue, 25 Jul 2017 13:35:57 +0200

binutils-avr (2.26.20160125+Atmel3.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Sun, 02 Apr 2017 20:59:11 +0200

binutils-avr (2.26.20160125+Atmel3.5.3-1) unstable; urgency=medium

  * New upstream release
  * Removed avr-gasp man page (closes: #832991)

 -- Hakan Ardo <hakan@debian.org>  Sun, 14 Aug 2016 17:26:16 +0200

binutils-avr (2.25+Atmel3.5.0-2) unstable; urgency=medium

  * Declear that we break older versions of avr-libc (closes: #807502)

 -- Hakan Ardo <hakan@debian.org>  Sun, 13 Dec 2015 09:40:31 +0100

binutils-avr (2.25+Atmel3.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Sat, 05 Dec 2015 20:21:51 +0100

=== debian/control ===
Source: binutils-avr
Section: devel
Priority: optional
Maintainer: Bastian Germann <bage@debian.org>
Standards-Version: 3.9.5
Build-Depends: bison, flex, gettext, texinfo, binutils, debhelper-compat (= 13), bzip2, autotools-dev, dh-autoreconf, zlib1g-dev
Vcs-Git: https://salsa.debian.org/debian/binutils-avr.git
Vcs-Browser: https://salsa.debian.org/debian/binutils-avr

Package: binutils-avr
Section: devel
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: binutils
Description: Binary utilities supporting Atmel's AVR targets
 The programs in this package are used to manipulate binary and object
 files that may have been created for Atmel's AVR architecture.  This package
 is primarily for AVR developers and cross-compilers and is not needed
 by normal users or developers.

=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,11 @@
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/architecture.mk
-
 PACKAGE=binutils-avr
 TARGET=avr
 
-#DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -q DEB_HOST_GNU_TYPE)
-#DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -q DEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -q DEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -q DEB_BUILD_GNU_TYPE)
 
 CONFARGS = --prefix=/usr \
            --build=$(DEB_BUILD_GNU_TYPE) \
@@ -25,7 +21,6 @@
            --disable-gdb --disable-libdecnumber --disable-readline \
            --disable-sim \
            $(shell env DEB_CFLAGS_MAINT_APPEND="-Wno-implicit-fallthrough -Wno-format-overflow -Wno-pointer-compare -Wno-error=cast-function-type -Wno-error=stringop-truncation -Wno-error=format-truncation" \
-		     env DEB_BUILD_MAINT_OPTIONS="hardening=+all" \
 		     dpkg-buildflags --export=configure)
 
 
@@ -75,7 +70,7 @@
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
-	[ ! -f Makefile ] || $(MAKE) -C $(BUILD_TREE) distclean
+	-$(MAKE) -C $(BUILD_TREE) distclean
 	#rm binutils-2.18.tar.bz2
 
 	dh_clean
@@ -103,7 +98,7 @@
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/binutils-avr -name '*.la'`
 
 	# Adjust paths
-	sed -i 's/\/usr\/$(DEB_HOST_GNU_TYPE)\/avr/\/usr\/lib\/avr\/$(DEB_HOST_GNU_TYPE)/' `find debian/binutils-avr -name '*.la'`
+	sed -i 's/\/usr\/x86_64-linux-gnu\/avr/\/usr\/lib\/avr\/x86_64-linux-gnu/' `find debian/binutils-avr -name '*.la'`
 
 	ln -s avr-ld.1.gz debian/binutils-avr/usr/share/man/man1/avr-ld.bfd.1.gz
 
@@ -157,7 +152,6 @@
 	#dpkg -s toolchain-source | grep Version: | sed -e 's/Version: //' >> debian/substvars
 
 	dh_gencontrol
-	dh_lintian
 	dh_md5sums
 	dh_builddeb

=== debian/watch ===
version=3
opts=dversionmangle=s/^.*\+Atmel// \
  http://distribute.atmel.no/tools/opensource/Atmel-AVR-GNU-Toolchain/ (\d+\.\d+\.\d+)/
